Package com.io7m.idstore.server.controller.user

# Record Class IdUserLoginService.IdUserLoggedIn

java.lang.Object
java.lang.Record
com.io7m.idstore.server.controller.user.IdUserLoginService.IdUserLoggedIn

Record Components:
  `session` - The created session
  `user` - The user

Enclosing class:
  IdUserLoginService

public static record IdUserLoginService.IdUserLoggedIn(IdSessionUser session, IdUser user) extends Record
A record of a user logging in.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUserLoggedIn(IdSessionUser session, IdUser user)`
  A record of a user logging in.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IdSessionUser`
  `session()`
  Returns the value of the `session` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdUser`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUserLoggedIn

    public IdUserLoggedIn(IdSessionUser session, IdUser user)
    A record of a user logging in.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### session

    public IdSessionUser session()
    Returns the value of the `session` record component.
    Returns:
      the value of the `session` record component

  - ### user

    public IdUser user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component